classification
Title: IDLE breakpoint facility undocumented
Type: Stage: resolved
Components: Documentation, IDLE Versions: Python 3.4, Python 3.3, Python 3.2, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Nick.ODell, Todd.Rovito, docs@python, eric.araujo, kbk, ned.deily, python-dev, taleinat, terry.reedy
Priority: normal Keywords: patch

Created on 2010-11-13 08:54 by ned.deily, last changed 2012-10-20 20:36 by ned.deily. This issue is now closed.

Files
File name Uploaded Description Edit
idle.rst Nick.ODell, 2011-06-06 23:19 Python-3.2.tar.bz2\Python-3.2\Doc\library\
IDLEBreakPointDocumentation.patch Todd.Rovito, 2012-10-20 05:49 review
Messages (8)
msg121121 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2010-11-13 08:54
In neither the IDLE section of the Library Reference nor in IDLE's own help file is there any documentation on how to use its breakpoint capability.  Since the menu options only appear if the user knows to Right-click (or Control-click on OS X - see issue10404), it would be easy for a user to never realize that the breakpoint capability exists.
msg121849 - (view) Author: √Čric Araujo (eric.araujo) * (Python committer) Date: 2010-11-21 03:17
Can you propose a patch, as a diff or even plain English in a reply?
msg121854 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2010-11-21 03:32
I'd rather see the wording come from more experienced users of IDLE and on other platforms.
msg137781 - (view) Author: Nick ODell (Nick.ODell) Date: 2011-06-06 23:19
I've added a short note regarding breakpoints in Doc/library/idle.rst

Ned, I'm not an experienced user with IDLE by any means, but I think some documentation is better than none, no?
msg173369 - (view) Author: Todd Rovito (Todd.Rovito) * Date: 2012-10-20 05:19
Nick,
   I agree some documentation is better than none. But somebody could do better I am not sure how to debug in IDLE.  I have taken your file and created a 2.7 patch.
msg173370 - (view) Author: Todd Rovito (Todd.Rovito) * Date: 2012-10-20 05:49
This patch works for both Python 3.4 and Python 2.7, it is a very simple patch.
msg173411 - (view) Author: Roundup Robot (python-dev) Date: 2012-10-20 20:28
New changeset c0a423ce4b96 by Ned Deily in branch '2.7':
Issue #10405: Document IDLE context menus in Standard Library document
http://hg.python.org/cpython/rev/c0a423ce4b96

New changeset 566b7574becb by Ned Deily in branch '3.2':
Issue #10405: Document IDLE context menus in Standard Library document
http://hg.python.org/cpython/rev/566b7574becb

New changeset 85c4d21f7454 by Ned Deily in branch '3.3':
Issue #10405: merge from 3.2
http://hg.python.org/cpython/rev/85c4d21f7454

New changeset ea7849650fd1 by Ned Deily in branch 'default':
Issue #10405: merge from 3.3
http://hg.python.org/cpython/rev/ea7849650fd1
msg173412 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2012-10-20 20:36
Thanks for your suggestions, Nick and Todd.  While reviewing them, I realized that there is also a small context (right-click) menu for the IDLE shell window as well.  I expanded the doc changes to include it and included several other minor doc updates.  I also updated the builtin IDLE Help file.

By the way, if you haven't already and wish to contribute patches, please be sure to sign a PSF contributor agreement (http://www.python.org/psf/contrib/).
History
Date User Action Args
2012-10-20 20:36:01ned.deilysetstatus: open -> closed
versions: + Python 3.2, Python 3.3
type: enhancement ->
messages: + msg173412

resolution: fixed
stage: resolved
2012-10-20 20:28:51python-devsetnosy: + python-dev
messages: + msg173411
2012-10-20 05:49:37Todd.Rovitosetfiles: + IDLEBreakPointDocumentation.patch

messages: + msg173370
versions: + Python 3.4
2012-10-20 05:48:58Todd.Rovitosetfiles: - IDLEBreakPointDocumentation2point7.patch
2012-10-20 05:19:52Todd.Rovitosetfiles: + IDLEBreakPointDocumentation2point7.patch
versions: - Python 3.1, Python 3.2
messages: + msg173369

keywords: + patch
type: enhancement
2012-10-18 15:33:34Todd.Rovitosetnosy: + Todd.Rovito
2011-06-06 23:19:37Nick.ODellsetfiles: + idle.rst
nosy: + Nick.ODell
messages: + msg137781

2010-11-21 03:32:36ned.deilysetmessages: + msg121854
2010-11-21 03:17:30eric.araujosetnosy: + eric.araujo
messages: + msg121849
2010-11-13 08:54:33ned.deilycreate